=== sukija/Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
 voikonsanat/seikkasanat.lex \
 voikonsanat/suhdesanat.lex \
 voikonsanat/vieraskieliset.lex \
-voikonsanat/yhdyssanat.lex
+voikonsanat/yhdyssanat.lex \
+voikonsanat/taivutustäydennykset.lex
 
 all: suomi.pro
 	malmake suomi.pro
@@ -50,7 +51,7 @@
 	g++ -g ../common/transmit.cc -o transmit
 
 
-SM=suomi-malaga-svn
+SM=voikko-suomimalaga
 
 tar:
 	rm -f ${SM}.tar ${SM}.tar.bz2
@@ -61,7 +62,7 @@
 	mdel a:${SM}.tar.bz2; mcopy ${SM}.tar.bz2 a:; mdir
 
 bcopy:
-	cp *_l *.pro ~/.voikko
+	cp *_l *.pro ~/.sukija
 
 koea:
 	cat ../../sanat.koe | malaga -m suomi.pro >ka
@@ -73,17 +74,17 @@
 koe1:
 	cat ../../ekirjat.txt | malaga -m suomi.pro >e1
 	cat ../../m*8 | malaga -m suomi.pro >m1
-	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r1
+	cat ../../raam.txt | malaga -m suomi.pro >r1
 
 koe2:
 	cat ../../ekirjat.txt | malaga -m suomi.pro >e2
 	cat ../../m*8 | malaga -m suomi.pro >m2
-	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r2
+	cat ../../raam.txt | malaga -m suomi.pro >r2
 
 koe3:
 	cat ../../ekirjat.txt | malaga -m suomi.pro >e3
 	cat ../../m*8 | malaga -m suomi.pro >m3
-	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r3
+	cat ../../raam.txt | malaga -m suomi.pro >r3
 
 ekirjat:
 	cat ../../ekirjat.txt | malaga -m suomi.pro
@@ -102,3 +103,6 @@
 
 move:
 	mv -f e2 e1; mv -f r2 r1; mv -f m2 m1
+
+move2:
+	mv -f e3 e2; mv -f r3 r2; mv -f m3 m2
