## suomi-malaga 1.1

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,17 @@
 OPTIONAL_LEX=atk-lyhenteet po-oikoluku
 
 # Source files for Sukija version.
-SUKIJA_SRC=sukija/README sukija/suomi.inc sukija/suomi.all \
-           sukija/suomi.lex sukija/Makefile sukija/suomi.mor sukija/suomi.pro \
-           sukija/suomi.sym sukija/LUE.MINUT \
-           sukija/sanat/11-19.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
-           sukija/generoi.sh sukija/inc/all.inc \
-           sukija/inc/mor.inc sukija/inc/subrule.inc \
-           sukija/sukija.py sukija/generate_lex.py
+#           sukija/sanat/vieraskieliset.lex \
+#
+
+SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
+           sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
+           sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
+           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh \
+           sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
+           sukija/sukija.py sukija/suomi.all \
+           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
+           sukija/suomi.sym sukija/suomi.tex
 
 
 # Files to ship only in the full source package
@@ -47,7 +51,7 @@
 SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
 	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 
-SM_VERSION=1.0
+SM_VERSION=1.1
 
 .PHONY: all clean update-vocabulary voikko voikko-install voikko-preprocessed-l-gzip dist-gzip
 
@@ -127,25 +131,23 @@
 erikoiset.lex \
 erikoissanat.lex \
 etuliitteet.lex \
-jokinen.lex \
+huudahdussanat.lex \
 lainen.lex \
-latex.lex \
 lukusanat.lex \
 lyhenteet.lex \
-omat.lex \
 poikkeavat.lex \
 seikkasanat.lex \
+sidesanat.lex \
 suhdesanat.lex \
 taivutustäydennykset.lex \
-yhdyssanat.lex \
-sidesanat.lex \
-huudahdussanat.lex
+yhdyssanat.lex
 
 sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
 	$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML))
 	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
+	@mkdir -p sukija/voikonsanat
 	cp $^ $@
 
 $(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
