## suomi-malaga 1.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,21 @@
 
+# Build configuration. See README for more information.
 PYTHON=python
 DESTDIR=/usr/lib/voikko
-MIN_FREQUENCY=9
+GENLEX_OPTS=
+EXTRA_LEX=
+VOIKKO_VARIANT=standard
+VOIKKO_DESCRIPTION=Default morphology for Voikko
+SM_PATCHINFO=
+VANHAHKOT_MUODOT=yes
+VANHAT_MUODOT=no
+VOIKKO_DEBUG=no
 
-# Optional vocabulary files
+# Suomi-malaga version
+SM_VERSION=1.2
+SM_BUILDDATE=$(shell date -R -u)
+
+# Optional vocabulary files (needed in the source package)
 OPTIONAL_LEX=atk-lyhenteet po-oikoluku
 
 # Source files for Sukija version.
@@ -13,7 +25,7 @@
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
            sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
            sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
-           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh \
+           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh sukija/ei-sukija.txt \
            sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
            sukija/sukija.py sukija/suomi.all \
            sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
@@ -24,7 +36,7 @@
 SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
          voikko/voikko-fi_FI.all voikko/voikko-fi_FI.sym voikko/voikko-fi_FI.mor \
          voikko/olla-ei.lex \
-         voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro common/voikkoutils.py \
+         voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
          vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
          common/hfconv.py common/generate_lex_common.py \
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
@@ -40,7 +52,7 @@
 	huudahdussanat.lex
 
 # Lexicon files generated for Voikko from Joukahainen
-VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede vieraskieliset
+VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
 
 # Files to ship in the preprocessed source package
 VOIKKO_FI_SRCDIST=$(VOIKKO_COPY_FROM_VOCABULARY) suomi.lex voikko-fi_FI.pro voikko-fi_FI.mor_l \
@@ -51,14 +63,13 @@
 SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
 	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 
-SM_VERSION=1.1
 
 .PHONY: all clean update-vocabulary voikko voikko-install voikko-preprocessed-l-gzip dist-gzip
 
 all: voikko
 
 voikko: $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)) \
-	$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
+	voikko/main.lex voikko/voikko-fi_FI.pro
 	@malmake voikko/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)): voikko/%: vocabulary/%
@@ -67,13 +78,35 @@
 $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)): voikko/%: common/%
 	cp $^ $@
 
+ifeq "$(VOIKKO_DEBUG)" "yes"
+    GENLEX_OPTS+= --debug
+endif
+
 voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
-	$(PYTHON) voikko/generate_lex.py $(MIN_FREQUENCY)
+	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS)
 	touch $@
-	@grep "Malaga class not found" voikko/joukahainen.lex
+
+voikko/main.lex: voikko/generate_lex.flag $(EXTRA_LEX)
+	cat voikko/joukahainen.lex $(EXTRA_LEX) > $@
+
+
+# Rule to generate voikko-fi_FI.pro
+
+VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
+	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
+	s/VOIKKO_DEBUG/$(VOIKKO_DEBUG)/; \
+	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
+	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
+	s/SM_VERSION/$(SM_VERSION)/; \
+	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
+	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
+	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
+
+voikko/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
+	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@
 
 $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)): voikko/generate_lex.flag
 
@@ -84,7 +117,7 @@
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
-	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
+	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)) voikko/main.lex voikko/voikko-fi_FI.pro
 	rm -f sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat/*
 
 # Rules for creating the preprocessed source package
@@ -151,8 +184,9 @@
 	cp $^ $@
 
 $(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
-	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py
+	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
+	sukija/ei-sukija.txt
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
 	$(PYTHON) sukija/generate_lex.py
-	@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
+	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
