## suomi-malaga 1.3

=== Makefile ===
--- 
+++ 
@@ -5,23 +5,23 @@
 GENLEX_OPTS=
 EXTRA_LEX=
 VOIKKO_VARIANT=standard
-VOIKKO_DESCRIPTION=Default morphology for Voikko
+VOIKKO_DESCRIPTION=Voikon perussanasto
 SM_PATCHINFO=
 VANHAHKOT_MUODOT=yes
 VANHAT_MUODOT=no
 VOIKKO_DEBUG=no
 
+# Include user's configuration
+-include config.mak
+
 # Suomi-malaga version
-SM_VERSION=1.2
+SM_VERSION=1.3
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
-OPTIONAL_LEX=atk-lyhenteet po-oikoluku
+OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions
 
 # Source files for Sukija version.
-#           sukija/sanat/vieraskieliset.lex \
-#
-
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
            sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
            sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
@@ -51,13 +51,7 @@
 	poikkeavat.lex lainen.lex taivutustäydennykset.lex sidesanat.lex \
 	huudahdussanat.lex
 
-# Lexicon files generated for Voikko from Joukahainen
-VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
-
-# Files to ship in the preprocessed source package
-VOIKKO_FI_SRCDIST=$(VOIKKO_COPY_FROM_VOCABULARY) suomi.lex voikko-fi_FI.pro voikko-fi_FI.mor_l \
-                  voikko-fi_FI.sym_l voikko-fi_FI.all_l voikko-fi_FI.lex suomi.inc subrule.inc \
-                  $(patsubst %,%.lex,$(VOIKKO_LEX_FROM_XML)) olla-ei.lex
+SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
 
 # Files to ship in the source package (duplicates are allowed)
 SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
@@ -85,7 +79,7 @@
 voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
-		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS)
 	touch $@
 
@@ -108,7 +102,7 @@
 voikko/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
 	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@
 
-$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)): voikko/generate_lex.flag
+voikko/joukahainen.lex: voikko/generate_lex.flag
 
 clean:
 	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc voikko/generate_lex.flag
@@ -117,20 +111,9 @@
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
-	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)) voikko/main.lex voikko/voikko-fi_FI.pro
-	rm -f sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat/*
-
-# Rules for creating the preprocessed source package
-
-voikko-preprocessed-l-gzip: voikko-fi-lsrc-$(SM_VERSION).tar.gz
-
-voikko-fi-lsrc-$(SM_VERSION).tar.gz: voikko $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST)))
-	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | gzip -9 > $@
-
-$(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST))): voikko-fi-$(SM_VERSION)/%: voikko/%
-	install -m 755 -d voikko-fi-$(SM_VERSION)
-	install -m 644 $^ voikko-fi-$(SM_VERSION)
-
+	rm -f voikko/joukahainen.lex voikko/main.lex voikko/voikko-fi_FI.pro
+	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
+	rm -f TAGS
 
 # Rules for creating the source distribution
 
@@ -156,11 +139,13 @@
 
 # Vocabulary update
 update-vocabulary:
-	wget http://joukahainen.lokalisointi.org/sanastot/joukahainen.xml.gz -O - \
+	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
 	| gunzip > vocabulary/joukahainen.xml
 
 
 SUKIJA_COPY_FROM_VOCABULARY=\
+erikoisalat/atk-lyhenteet.lex \
+erikoisalat/linux-distributions.lex \
 erikoiset.lex \
 erikoissanat.lex \
 etuliitteet.lex \
@@ -176,17 +161,23 @@
 yhdyssanat.lex
 
 sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
-	$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML))
+	$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML))
 	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
-	@mkdir -p sukija/voikonsanat
+	@mkdir -p sukija/voikonsanat/erikoisalat
 	cp $^ $@
 
-$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
+$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
 	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
 	sukija/ei-sukija.txt
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
-		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) sukija/generate_lex.py
 	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
+
+TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
+		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
+	etags --lang=none --output=$@ \
+		--regex='/[ \t]*\[.*\<perusmuoto:[ \t]*"\([^"]+\)"/\1/' \
+		-- $^
