=== sukija/Makefile ===
--- 
+++ 
@@ -21,23 +21,26 @@
 voikonsanat/sidesanat.lex \
 voikonsanat/suhdesanat.lex \
 voikonsanat/taivutustäydennykset.lex \
-voikonsanat/yhdyssanat.lex
+voikonsanat/yhdyssanat.lex \
+voikonsanat/erikoisalat/atk-lyhenteet.lex \
+voikonsanat/erikoisalat/linux-distributions.lex
 
 all: suomi.pro $(LEXICON)
-	malmake suomi.pro
+	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 run: suomi.pro
-	malaga suomi.pro
+	@malaga suomi.pro
 
 kehitys: transmit suomi.pro
-	malmake suomi.pro
+	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 generoi:
 	./generoi.sh
-	malmake suomi.pro
+	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 	
 clean:
-	/bin/rm -f *_l core.* transmit voikonsanat/* k1 k2 foo bar
+	/bin/rm -f *_l core.* transmit voikonsanat/*.lex \
+                   voikonsanat/erikoisalat/*.lex k1 k2 foo bar
 
 transmit: ../common/transmit.cc
 	g++ -g ../common/transmit.cc -o transmit
