## suomi-malaga 1.5

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.3
+SM_VERSION=1.5
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
-OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions
+OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions science-misc
 
 # Source files for Sukija version.
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
@@ -35,7 +35,8 @@
 # Files to ship only in the full source package
 SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
          voikko/voikko-fi_FI.all voikko/voikko-fi_FI.sym voikko/voikko-fi_FI.mor \
-         voikko/olla-ei.lex \
+         voikko/olla-ei.lex voikko/suomi.lex voikko/suomi.inc \
+         voikko/all.inc \
          voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
          vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
          common/hfconv.py common/generate_lex_common.py \
@@ -45,10 +46,10 @@
 	voikko/voikko-fi_FI.sym_?
 
 # Shared files needed in Voikko
-VOIKKO_COPY_FROM_COMMON=suomi.lex all.inc mor.inc subrule.inc suomi.inc
+VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
 VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
 	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
-	poikkeavat.lex lainen.lex taivutustäydennykset.lex sidesanat.lex \
+	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex \
 	huudahdussanat.lex
 
 SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
@@ -63,7 +64,7 @@
 all: voikko
 
 voikko: $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)) \
-	voikko/main.lex voikko/voikko-fi_FI.pro
+	voikko/main.lex voikko/voikko-fi_FI.pro voikko/config.inc
 	@malmake voikko/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)): voikko/%: vocabulary/%
@@ -76,22 +77,26 @@
     GENLEX_OPTS+= --debug
 endif
 
-voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
+voikko/joukahainen.lex: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS)
-	touch $@
 
-voikko/main.lex: voikko/generate_lex.flag $(EXTRA_LEX)
-	cat voikko/joukahainen.lex $(EXTRA_LEX) > $@
+voikko/main.lex: voikko/joukahainen.lex $(EXTRA_LEX)
+	cat $^ > $@
 
 
 # Rule to generate voikko-fi_FI.pro
 
+VOIKKO_MURRE=no
+ifeq "$(findstring dialect,$(GENLEX_OPTS))" "dialect"
+	VOIKKO_MURRE=yes
+endif
+
 VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
 	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
-	s/VOIKKO_DEBUG/$(VOIKKO_DEBUG)/; \
+	s/VOIKKO_MURRE/$(VOIKKO_MURRE)/; \
 	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
 	s/SM_VERSION/$(SM_VERSION)/; \
@@ -102,10 +107,12 @@
 voikko/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
 	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@
 
-voikko/joukahainen.lex: voikko/generate_lex.flag
+voikko/config.inc:
+	echo "define @voikko_debug := $(VOIKKO_DEBUG);" > $@
 
 clean:
-	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc voikko/generate_lex.flag
+	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc
+	rm -f voikko/config.inc
 	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
 	rm -f "suomi-malaga-$(SM_VERSION).tar.gz" "voikko-fi-lsrc-$(SM_VERSION).tar.gz"
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
@@ -134,8 +141,8 @@
 	g++ -g common/transmit.cc -o voikko/transmit
 
 voikko-install: voikko
-	install -m 755 -d $(DESTDIR)
-	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)
+	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
 
 # Vocabulary update
 update-vocabulary:
@@ -157,7 +164,7 @@
 seikkasanat.lex \
 sidesanat.lex \
 suhdesanat.lex \
-taivutustäydennykset.lex \
+taivutustaydennykset.lex \
 yhdyssanat.lex
 
 sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
