=== sukija/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 voikonsanat/seikkasanat.lex \
 voikonsanat/sidesanat.lex \
 voikonsanat/suhdesanat.lex \
-voikonsanat/taivutustäydennykset.lex \
+voikonsanat/taivutustaydennykset.lex \
 voikonsanat/yhdyssanat.lex \
 voikonsanat/erikoisalat/atk-lyhenteet.lex \
 voikonsanat/erikoisalat/linux-distributions.lex
@@ -74,3 +74,9 @@
 
 cp1:
 	cp k1 ../../koesanat1.out; cp k2 ../../koesanat2.out
+
+kdiff:
+	gawk -F'"' '{print $2, $3}' ~/koe*1.out >k1a
+	gawk -F'"' '{print $2, $3}' ~/koe*2.out >k2a
+	gawk -F'"' '{print $2, $3}' k1 >k1b
+	gawk -F'"' '{print $2, $3}' k2 >k2b
