## suomi-malaga 1.6

=== debian/changelog ===
suomi-malaga (1.6-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.4
  * Change to 3.0 (quilt) source version

 -- Timo Jyrinki <timo@debian.org>  Wed, 26 May 2010 21:39:32 +0300

suomi-malaga (1.5-1) unstable; urgency=low

  * New upstream release
  * Fix lintian warning about relation form

 -- Timo Jyrinki <timo@debian.org>  Wed, 27 Jan 2010 17:49:59 +0200

suomi-malaga (1.4-1) unstable; urgency=low

  * New upstream release
  * Last part of installation directory no longer needs to be specified 
  * Breaks libvoikko < 2.2 
  * Update Standards-Version to 3.8.3 

 -- Timo Jyrinki <timo@debian.org>  Wed, 14 Oct 2009 17:18:20 +0300

suomi-malaga (1.3-3) unstable; urgency=low

  * Add FLOSS brand names (Closes: #527097)

 -- Timo Jyrinki <timo@debian.org>  Sun, 24 May 2009 11:58:08 +0300

suomi-malaga (1.3-2) unstable; urgency=low

  * Change installation path to work with libvoikko 2.1
  * Add Breaks to earlier libvoikko versions 
  * Update Standards-Version (no changes)
  * Bump debhelper to version 5 

 -- Timo Jyrinki <timo@debian.org>  Tue, 05 May 2009 20:26:29 +0300

suomi-malaga (1.3-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Fri, 06 Mar 2009 17:10:54 +0200

suomi-malaga (1.2-2) unstable; urgency=low

  * Upload to unstable

 -- Timo Jyrinki <timo@debian.org>  Mon, 16 Feb 2009 16:56:22 +0200

suomi-malaga (1.2-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address
  * Update Standards-Version (no changes)

 -- Timo Jyrinki <timo@debian.org>  Tue, 13 Jan 2009 15:04:37 +0200

suomi-malaga (1.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to fix lintian warning and more

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 29 Apr 2008 22:39:14 +0300

suomi-malaga (1.0-1) unstable; urgency=low

  * New upstream version
  * Update standards-version to 3.7.3 (no changes)
  * Use new official "Homepage" field in control file
  * Add new Vcs-* fields as supported in dpkg 1.14.6 (thanks to Teemu Likonen)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 10 Jan 2008 22:16:23 +0200

suomi-malaga (0.7.7-1) unstable; urgency=low

  * New upstream version
  * Fix Lintian warning debian-rules-ignores-make-clean-error

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 04 Dec 2007 19:54:43 +0200

suomi-malaga (0.7.6-1) unstable; urgency=low

  * New upstream version

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 01 Sep 2007 22:11:22 +0300

suomi-malaga (0.7.5-1) unstable; urgency=low

  * New upstream version
  * Add python build-dep, sync with upstream Debian packaging
  * Patch from upstream SVN to fix make -j5
  * Patch from upstream SVN to fix words of type "saksalais-roomalainen"

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 15 May 2007 23:26:19 +0300

suomi-malaga (0.7.4-1) unstable; urgency=low

  * New upstream version
  * Update homepage, dependencies, watch file

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 31 Mar 2007 15:06:03 +0300

suomi-malaga (0.7.3-1) unstable; urgency=low

  * New upstream version

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Wed, 15 Nov 2006 18:01:03 +0200

suomi-malaga (0.7.2-4) unstable; urgency=low

  * Change .*_l to .*_* in voikko-fi.install to fix big endian archs

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat,  7 Oct 2006 11:39:30 +0300

suomi-malaga (0.7.2-3) unstable; urgency=low

  * Install LUE.MINUT as README.FI

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 30 Sep 2006 15:05:31 +0300

suomi-malaga (0.7.2-2) unstable; urgency=low

  * Notice ITP in changelog (Closes: #388801)
  * Change source package from misc to text
  * Intend homepage in debian/control by two spaces
  * Configure removed from debian/rules
  * Fixed debian/watch
  * Update copyright

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Fri, 22 Sep 2006 19:15:08 +0300

suomi-malaga (0.7.2-1) unstable; urgency=low

  * Package for Debian.
  * Update Standards-Version.

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Mon, 18 Sep 2006 19:55:23 +0300

suomi-malaga (0.7.2-0hf1) unstable; urgency=low

  * New upstream release

 -- Teemu Likonen <tlikonen@iki.fi>  Sat,  9 Sep 2006 15:54:51 +0300

suomi-malaga (0.7.1+svn20060901-0hf1) unstable; urgency=low

  * New SVN snapshot (r428)

 -- Teemu Likonen <tlikonen@iki.fi>  Fri,  1 Sep 2006 14:54:53 +0300

suomi-malaga (0.7.1+svn20060823-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Wed, 23 Aug 2006 22:30:12 +0300

suomi-malaga (0.7.1-0hf1) unstable; urgency=low

  * New upstream release

 -- Teemu Likonen <tlikonen@iki.fi>  Mon, 31 Jul 2006 11:35:27 +0300

suomi-malaga (0.6.99+svn20060729-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Sat, 29 Jul 2006 16:41:33 +0300

suomi-malaga (0.6.99+svn20060728-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Fri, 28 Jul 2006 17:54:10 +0300

suomi-malaga (0.6.99+svn20060724-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Mon, 24 Jul 2006 17:31:39 +0300

suomi-malaga (0.6.99+svn20060709-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Sun,  9 Jul 2006 18:32:51 +0300

suomi-malaga (0.6.99+svn20060703-0hf2) unstable; urgency=low

  * Another SVN snapshot from this day: Fixes annoying bug with some verb
    derivatives. Probably introduces some new bugs :-)

 -- Teemu Likonen <tlikonen@iki.fi>  Mon,  3 Jul 2006 20:15:17 +0300

suomi-malaga (0.6.99+svn20060703-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Mon,  3 Jul 2006 07:48:58 +0300

suomi-malaga (0.6.99+svn20060630-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Fri, 30 Jun 2006 12:08:33 +0300

suomi-malaga (0.6-0hf4) unstable; urgency=low

  * Previous patches replaced with:
      01beta8.diff
      02vanhoja.diff
      03tavutus.diff


