## suomi-malaga 1.8

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.5
+SM_VERSION=1.8
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -114,12 +114,13 @@
 	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc
 	rm -f voikko/config.inc
 	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
-	rm -f "suomi-malaga-$(SM_VERSION).tar.gz" "voikko-fi-lsrc-$(SM_VERSION).tar.gz"
+	rm -f "suomi-malaga-$(SM_VERSION).tar.gz"
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
 	rm -f voikko/joukahainen.lex voikko/main.lex voikko/voikko-fi_FI.pro
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
+	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
 	rm -f TAGS
 
 # Rules for creating the source distribution
