=== debian/changelog ===
suomi-malaga (1.8-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 Dec 2010 18:48:51 +0200
